<?
include("header.php");

$drate = ($users[land] * 0.02) + 2;
if ($drate > 200)	$drate = 200;
$drate = floor($urace[bpt] * $drate);
$destroyrate[all] = $drate;
$destroyrate[popbld] = $drate;
$destroyrate[cashbld] = $drate;
$destroyrate[trpbld] = $drate;
$destroyrate[costbld] = $drate;
$destroyrate[wizbld] = $drate;
$destroyrate[foodbld] = $drate;
$destroyrate[defbld] = $drate;
$destroyrate[land] = $drate;
if ($users[droptime] > $time)
	$destroyrate[land] = ceil($destroyrate[land] / 10);
$salvage = round(($config[buildings] + ($users[land] * .1)) / 5);

$totbuildings = $users[land] - $users[freeland];

function getDestroyAmount ($type)
{
	global $config, $users, $candestroy, $destroyrate;
	$candestroy[$type] = $destroyrate[land] * $users[turns];
	if ($type == 'land')
		$max = $users[freeland];
	else	$max = $users[$type];
	if ($candestroy[$type] > $max) $candestroy[$type] = $max;
	$candestroy[all] += $candestroy[$type];
	if ($candestroy[all] > $users[turns] * $destroyrate[all])
		$candestroy[all] = $users[turns] * $destroyrate[all];
}

function destroyStructures ($type, $salvage)
{
	global $users, $demolish, $destroyrate, $candestroy, $totaldestroyed, $totalsalvaged, $turns;
	fixInputNum($demolish[$type]);
	$amount = $demolish[$type];
	if ($amount < 0)
		TheEnd("Cannot demolish a negative number of structures!");
	if ($amount > $candestroy[$type])
	{
		if ($type == 'land')
			TheEnd("You can't drop that much land!");
		else	TheEnd("You don't have that many!");
	}
	$users[$type] -= $amount;
	if ($type == 'land')
		$users[freeland] -= $amount;
	else	$users[freeland] += $amount;
	$totaldestroyed += $amount;
	$users[cash] += $amount * $salvage;
	$totalsalvaged += $amount * $salvage;
	$turns += $amount / $destroyrate[$type];
}

function printRow ($type)
{
	global $users, $uera, $candestroy;
?>
<tr><td><?=$uera[$type]?></td>
    <td class="ar"><?=commas($users[$type])?></td>
    <td class="ar"><?=commas($candestroy[$type])?></td>
    <td class="ar"><input type="text" name="demolish[<?=$type?>]" size="5" value="0"></td></tr>
<?
}

getDestroyAmount('popbld');
getDestroyAmount('cashbld');
getDestroyAmount('trpbld');
getDestroyAmount('costbld');
getDestroyAmount('wizbld');
getDestroyAmount('foodbld');
getDestroyAmount('defbld');
getDestroyAmount('land');
if ($users[land] - $candestroy[land] < 1000)
	$candestroy[land] = max(0,$users[land] - 1000);
if ($do_demolish)
{
	$turns = 0;
	destroyStructures('popbld',$salvage);
	destroyStructures('cashbld',$salvage);
	destroyStructures('trpbld',$salvage);
	destroyStructures('costbld',$salvage);
	destroyStructures('wizbld',$salvage);
	destroyStructures('foodbld',$salvage);
	destroyStructures('defbld',$salvage);
	destroyStructures('land',0);
	$turns = ceil($turns);
	if ($users[turns] < $turns)
		TheEnd("Not enough turns!");
	takeTurns($turns,'demolish');
	saveUserData($users,"popbld cashbld trpbld costbld wizbld foodbld defbld land freeland cash");
?>
You demolished <?=commas($totaldestroyed)?> structures in <?=$turns?> turns and made $<?=commas($totalsalvaged)?>.<hr>
<?
	getDestroyAmount('popbld');
	getDestroyAmount('cashbld');
	getDestroyAmount('trpbld');
	getDestroyAmount('costbld');
	getDestroyAmount('wizbld');
	getDestroyAmount('foodbld');
	getDestroyAmount('defbld');
	getDestroyAmount('land');
	if ($users[land] - $candestroy[land] < 1000)
		$candestroy[land] = max(0,$users[land] - 1000);
}
?>
<a href="<?=$config[main]?>?action=guide&amp;section=structures&amp;era=<?=$users[era]?>">Promisance Guide: Structures</a><br><br>
Each structure demolished frees up one acre of land and you get $<?=commas($salvage)?> money for salvage.<br>
We can demolish <?=commas($destroyrate[all])?> structures per turn.<br>
With our resources, we can demolish <span class="cbad"><?=commas($candestroy[all])?></span> structures.<br><br>
<form method="post" action="<?=$config[main]?>?action=demolish">
<table class="inputtable">
<tr><th class="al">Structure</th>
    <th class="ar">We Own</th>
    <th class="ar">We Can Demolish</th>
    <th class="ar">Demolish</th></tr>
<?
printRow('popbld');
printRow('cashbld');
printRow('trpbld');
printRow('costbld');
printRow('wizbld');
printRow('foodbld');
printRow('defbld');
?>
<tr><td>Drop Unused Land</td>
    <td class="ar"><?=commas($users[freeland])?></td>
    <td class="ar"><?=commas($candestroy[land])?></td>
    <td class="ar"><input type="text" name="demolish[land]" size="5" value="0"></td></tr>
<tr><td colspan="4" class="ac"><input type="submit" name="do_demolish" value="Begin Demolition"></td></tr>
</table>
</form>
<a href="<?=$config[main]?>?action=build">Build Structures</a>
<?
TheEnd("");
?>
